v1.0
put
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/barcode
Updates a kit's barcode. Rights: OrsInventoryPost and OrsUnblinded.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
test -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
1BC29B36F5D64B1B95F4BDBBCEA481BE
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
array-
Array of:
object KitNumberBarcodeTO v1.0
Title:
KitNumberBarcodeTO v1.0Object containing kit number and barcode.
Nested Schema : KitNumberBarcodeTO v1.0
Type:
objectTitle:
KitNumberBarcodeTO v1.0Object containing kit number and barcode.
Show Source
-
barcode: string
Minimum Length:
0Maximum Length:1000Barcode of the kit.Example:61234 -
kitNumber: integer
(int32)
Kit numberExample:
5
Examples
Back to Top
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : InventoryUpdatedTO v1.0
Type:
objectTitle:
InventoryUpdatedTO v1.0Object containing number of inventory records updated.
Show Source
-
inventoryUpdated: integer
(int32)
Title:
Inventory UpdatedNumber of inventory records updated successfully.Example:5
Examples
400 Response
Invalid Inventory Status
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
404 Response
Invalid study ID or version OR Study not found OR Inventory not found
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples
500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectExamples